Subject: Re: bug#22932: 25.0.92; X protocol error: BadRequest (invalid request code or no such operation) on protocol request 149

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Mar 2016 22:33:52 +0200

> From: John Eismeier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> Date: Tue, 08 Mar 2016 15:10:09 -0500
> 
> I am running Ubuntu 14.04 LTS.
> 
> 
> xrandr  -v
> xrandr program version       1.4.1
> Server reports RandR version 1.2
> 
> What should I do next ?  I still need to run this revision of the OS
> with our current product development strategy.

I guess this means Ken was right, and we should check the server
version before issuing the call.  I hope Ken will be able to propose a
patch along those lines.

Thanks.